Create POS Sale

Creates a new POS sale with the provided GUID. The API consumer must provide their own unique GUID which will be used as the SystemId. POS Unit must be of type UNATTENDED to support multiple concurrent active sales per unit.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Request

This endpoint expects an object.
posUnitstringRequired

The POS Unit number (e.g., “QR_FOOD_APP”, “SELFSERVICE_TICKETS”)

customerNostringOptional
The customer number to assign to this sale
vatBusinessPostingGroupstringOptional
The VAT Business Posting Group to use for this sale

Response

This endpoint returns an object.
saleIdUUID
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
receiptNostring
posUnitstring
posStorestring
datedate
startTimedatetime
customerNostring
salespersonCodestring
vatBusinessPostingGroupstring
saleLineslist of objects or null
paymentLineslist of objects or null
totalSalesAmountInclVatdouble or null

Total amount of all sale lines including VAT (only present when withLines=true)

totalPaymentAmountdouble or null

Total amount of all payment lines (only present when withLines=true)